<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:14 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>ResolvedComponentResult (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="ResolvedComponentResult (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/api/artifacts/result/ResolvedArtifactResult.html" title="interface in org.gradle.api.artifacts.result"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../org/gradle/api/artifacts/result/ResolvedDependencyResult.html" title="interface in org.gradle.api.artifacts.result"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/api/artifacts/result/ResolvedComponentResult.html" target="_top">Frames</a></li>
<li><a href="ResolvedComponentResult.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.artifacts.result</div>
<h2 title="Interface ResolvedComponentResult" class="title">Interface ResolvedComponentResult</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre><a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public interface <span class="strong">ResolvedComponentResult</span></pre>
<div class="block">Represents a component instance in the resolved dependency graph. Provides some basic identity and dependency information about the component.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;? extends <a href="../../../../../org/gradle/api/artifacts/result/DependencyResult.html" title="interface in org.gradle.api.artifacts.result">DependencyResult</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/artifacts/result/ResolvedComponentResult.html#getDependencies()">getDependencies</a></strong>()</code>
<div class="block">Returns the dependencies of this component.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;? extends <a href="../../../../../org/gradle/api/artifacts/result/ResolvedDependencyResult.html" title="interface in org.gradle.api.artifacts.result">ResolvedDependencyResult</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/artifacts/result/ResolvedComponentResult.html#getDependents()">getDependents</a></strong>()</code>
<div class="block">Returns the incoming dependencies of this component.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/artifacts/component/ComponentIdentifier.html" title="interface in org.gradle.api.artifacts.component">ComponentIdentifier</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/artifacts/result/ResolvedComponentResult.html#getId()">getId</a></strong>()</code>
<div class="block">Returns the identifier of this component.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/artifacts/ModuleVersionIdentifier.html" title="interface in org.gradle.api.artifacts">ModuleVersionIdentifier</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/artifacts/result/ResolvedComponentResult.html#getModuleVersion()">getModuleVersion</a></strong>()</code>
<div class="block">Returns the module version which this component belongs to, if any.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/artifacts/result/ComponentSelectionReason.html" title="interface in org.gradle.api.artifacts.result">ComponentSelectionReason</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/artifacts/result/ResolvedComponentResult.html#getSelectionReason()">getSelectionReason</a></strong>()</code>
<div class="block">Returns the reason why this particular component was selected in the result.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getId()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getId</h4>
<pre><a href="../../../../../org/gradle/api/artifacts/component/ComponentIdentifier.html" title="interface in org.gradle.api.artifacts.component">ComponentIdentifier</a>&nbsp;getId()</pre>
<div class="block"><p>Returns the identifier of this component. This can be used to uniquely identify the component within the current build, but it is not necessarily unique between
 different builds.

 <p>The return type is declared as an opaque <a href="../../../../../org/gradle/api/artifacts/component/ComponentIdentifier.html" title="interface in org.gradle.api.artifacts.component"><code>ComponentIdentifier</code></a>, however the identifier may also implement one of the following interfaces:</p>

 <ul>
     <li><a href="../../../../../org/gradle/api/artifacts/component/ProjectComponentIdentifier.html" title="interface in org.gradle.api.artifacts.component"><code>ProjectComponentIdentifier</code></a> for those component instances which are produced by the current build.</li>
     <li><a href="../../../../../org/gradle/api/artifacts/component/ModuleComponentIdentifier.html" title="interface in org.gradle.api.artifacts.component"><code>ModuleComponentIdentifier</code></a> for those component instances which are found in some repository.</li>
 </ul></div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the identifier of this component</dd></dl>
</li>
</ul>
<a name="getDependencies()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDependencies</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;? extends <a href="../../../../../org/gradle/api/artifacts/result/DependencyResult.html" title="interface in org.gradle.api.artifacts.result">DependencyResult</a>&gt;&nbsp;getDependencies()</pre>
<div class="block"><p>Returns the dependencies of this component. Includes resolved and unresolved dependencies (if any).

 <p>The elements of the returned collection are declared as <a href="../../../../../org/gradle/api/artifacts/result/DependencyResult.html" title="interface in org.gradle.api.artifacts.result"><code>DependencyResult</code></a>, however the dependency instances will also implement one of the
 following instances:</p>

 <ul>
     <li><a href="../../../../../org/gradle/api/artifacts/result/ResolvedDependencyResult.html" title="interface in org.gradle.api.artifacts.result"><code>ResolvedDependencyResult</code></a> for dependencies which were successfully resolved.</li>
     <li><a href="../../../../../org/gradle/api/artifacts/result/UnresolvedDependencyResult.html" title="interface in org.gradle.api.artifacts.result"><code>UnresolvedDependencyResult</code></a> for dependencies which could not be resolved for some reason.</li>
 </ul></div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the dependencies of this component</dd></dl>
</li>
</ul>
<a name="getDependents()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDependents</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;? extends <a href="../../../../../org/gradle/api/artifacts/result/ResolvedDependencyResult.html" title="interface in org.gradle.api.artifacts.result">ResolvedDependencyResult</a>&gt;&nbsp;getDependents()</pre>
<div class="block">Returns the incoming dependencies of this component.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the dependents of this component</dd></dl>
</li>
</ul>
<a name="getSelectionReason()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSelectionReason</h4>
<pre><a href="../../../../../org/gradle/api/artifacts/result/ComponentSelectionReason.html" title="interface in org.gradle.api.artifacts.result">ComponentSelectionReason</a>&nbsp;getSelectionReason()</pre>
<div class="block">Returns the reason why this particular component was selected in the result.
 Useful if multiple candidate components were found during dependency resolution.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the reason for selecting the component</dd></dl>
</li>
</ul>
<a name="getModuleVersion()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getModuleVersion</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/javax/annotation/Nullable.html?is-external=true" title="class or interface in javax.annotation">@Nullable</a>
<a href="../../../../../org/gradle/api/artifacts/ModuleVersionIdentifier.html" title="interface in org.gradle.api.artifacts">ModuleVersionIdentifier</a>&nbsp;getModuleVersion()</pre>
<div class="block">Returns the module version which this component belongs to, if any. A component will belong to a module version if it was found in some repository, or if the
 module version for the component has been declared, usually by declaring how the component should be published.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the module version of the component, or <code>null</code> if this component has no associated module version.</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/api/artifacts/result/ResolvedArtifactResult.html" title="interface in org.gradle.api.artifacts.result"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../org/gradle/api/artifacts/result/ResolvedDependencyResult.html" title="interface in org.gradle.api.artifacts.result"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/api/artifacts/result/ResolvedComponentResult.html" target="_top">Frames</a></li>
<li><a href="ResolvedComponentResult.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
